Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043029
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalhave not tried2020-01-28 12:232020-02-13 12:05
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision1d19e9db8077
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043029: export to csv doesn't timeout

DescriptionHaving db.queryTimeout.grid configured, queries to generate CSV don't timeout.
Steps To Reproduce1. define db.queryTimeout.grid=1
2. export a csv that takes more than 1 sec to generate the query
Proposed SolutionApply db.queryTimeout.grid to csv export.

Note that ideally, UI should notify about this error.

Note DefaultJsonDataService.fetch(Map<String, String> parameters, QueryResultWriter writer) method is also used by JSON webservices.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00432063.0PR20Q1 closedalostale export to csv doesn't timeout 
depends on backport 00432073.0PR19Q4.2 closedalostale export to csv doesn't timeout 
depends on backport 00432083.0PR19Q3.4 closedalostale export to csv doesn't timeout 
related to defect 0043030 closedalostale csv button enabled while editing filters with lazy fitlering enabled 
related to feature request 0043078 acknowledgedplatform don't download files with a POST to a hidden form 
blocks design defect 0043031 acknowledgedplatform implement a timeout for CSV generation 

-  Notes
(0117372)
alostale (developer)
2020-01-30 15:30

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/38 [^]
(0117718)
hgbot (developer)
2020-02-13 09:23

Repository: erp/devel/pi
Changeset: 1d19e9db807746db520f34f622102f6b2f7a1249
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jan 28 13:25:57 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1d19e9db807746db520f34f622102f6b2f7a1249 [^]

fixed BUG-43029: export to csv doesn't timeout

  Apply grid timeout to CSV export.

  Moved timeout profile setting to a more generic part, before it was
  applied only for the query to populate the grid, but it should be for
  every one.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0117727)
caristu (developer)
2020-02-13 12:05

Reviewed + tested OK

- Issue History
Date Modified Username Field Change
2020-01-28 12:23 alostale New Issue
2020-01-28 12:23 alostale Assigned To => platform
2020-01-28 12:23 alostale Modules => Core
2020-01-28 12:23 alostale Triggers an Emergency Pack => No
2020-01-28 12:24 alostale Tag Attached: Performance
2020-01-28 12:29 alostale Relationship added related to 0043030
2020-01-28 12:30 alostale Proposed Solution updated
2020-01-28 12:34 alostale Relationship added blocks 0043031
2020-01-28 13:15 alostale Proposed Solution updated
2020-01-28 13:22 ioritzCia Issue Monitored: ioritzCia
2020-01-30 15:30 alostale Note Added: 0117372
2020-01-31 10:27 alostale Relationship added related to 0043078
2020-02-13 09:23 hgbot Checkin
2020-02-13 09:23 hgbot Note Added: 0117718
2020-02-13 09:23 hgbot Status new => resolved
2020-02-13 09:23 hgbot Resolution open => fixed
2020-02-13 09:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1d19e9db807746db520f34f622102f6b2f7a1249 [^]
2020-02-13 09:23 alostale Assigned To platform => alostale
2020-02-13 09:24 alostale Review Assigned To => caristu
2020-02-13 09:26 alostale Status resolved => new
2020-02-13 09:26 alostale Resolution fixed => open
2020-02-13 09:27 alostale Status new => scheduled
2020-02-13 09:27 alostale Status scheduled => resolved
2020-02-13 09:27 alostale Resolution open => fixed
2020-02-13 09:29 alostale Severity major => critical
2020-02-13 12:05 caristu Note Added: 0117727
2020-02-13 12:05 caristu Status resolved => closed
2020-02-13 12:05 caristu Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker